Get loyalty program points for customer
Get available loyalty program member points for customer.
get/tenants/{tenantUid}/customers/{customerUid}/loyalty/points
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+customerUidstringRequiredPattern:
Reference to a Customer.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
customerUidstringRequiredPattern:
^[A-Za-z0-9-_]+balanceintegerRequired
currencystringRequired
expiringBalanceintegerRequired
expirationDatestring · date-timeRequired
get/tenants/{tenantUid}/customers/{customerUid}/loyalty/points
GET /v2/tenants/{tenantUid}/customers/{customerUid}/loyalty/points HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"customerUid": "text",
"balance": 1,
"currency": "text",
"expiringBalance": 1,
"expirationDate": "2026-01-01T00:00:00.000Z"
}PreviousList loyalty program discounts for customer
NextGet loyalty program member balance for customer on order.
Last updated
Was this helpful?

